<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s"></a>- s -</h3><ul>
<li>setAGLookUp()
: <a class="el" href="class_production.html#ade1d52d582ad01739a5f6e526094b2d0">Production</a>
</li>
<li>setCurrentLevel()
: <a class="el" href="class_tree.html#afe81138ebb2a19e433cbc33989f6c022">Tree&lt; T &gt;</a>
</li>
<li>setData()
: <a class="el" href="class_tree.html#a93c745ff46b227da8387ce7d76047e84">Tree&lt; T &gt;</a>
</li>
<li>setDepth()
: <a class="el" href="class_tree.html#a88ac234f0b0fa121e7428a4137f805dc">Tree&lt; T &gt;</a>
</li>
<li>setEffectiveSize()
: <a class="el" href="class_g_e_list_genome.html#a6c16b0d2d3e3e1505e72dedc78766a71">GEListGenome</a>
, <a class="el" href="class_genotype.html#ab3287021beed9c887f2e323cdb20e1bf">Genotype</a>
</li>
<li>setEndIndex()
: <a class="el" href="class_a_g_context.html#accce2185cd03550221ccb88f5998201d">AGContext</a>
</li>
<li>setFitness()
: <a class="el" href="class_genotype.html#a8c7cc94674db119284c44bb733acbd0e">Genotype</a>
, <a class="el" href="class_phenotype.html#ab1281ec34db008cca008d0db02138c79">Phenotype</a>
</li>
<li>setFull()
: <a class="el" href="class_g_e_grammar_s_i.html#a0b28ed5f1dcb4d2c6e5fc6ad135fa173">GEGrammarSI</a>
</li>
<li>setGenotype()
: <a class="el" href="class_mapper.html#a96e07e87fa2f1f8174c0cc3baa22b965">Mapper</a>
</li>
<li>setGenotypeMaxCodonValue()
: <a class="el" href="class_mapper.html#ab2620cb58f70ec87748439dfc1a8acf7">Mapper</a>
</li>
<li>setGrow()
: <a class="el" href="class_g_e_grammar_s_i.html#a188a97c9ca005f804fc236a0897da474">GEGrammarSI</a>
</li>
<li>setIndex()
: <a class="el" href="class_initialiser.html#abcd17be7bcc095649c8ecf5785c58dd5">Initialiser</a>
</li>
<li>setInUse()
: <a class="el" href="class_a_g_symbol.html#aa6e5807cdc93811ddfb8ba90fd17faeb">AGSymbol</a>
</li>
<li>setMaxCodonValue()
: <a class="el" href="class_genotype.html#a3fa471785e655f427acebbe5d91180b9">Genotype</a>
</li>
<li>setMaxDepth()
: <a class="el" href="class_g_e_grammar_s_i.html#aa9ed35179956ed3b750a3dfddf19f824">GEGrammarSI</a>
</li>
<li>setMaxWraps()
: <a class="el" href="class_g_e_grammar.html#a3dcf34577cb0b50ac6378c189214167b">GEGrammar</a>
</li>
<li>setMinimumDepth()
: <a class="el" href="class_production.html#a493d7108bdd72cfef172cd3ee9def6c0">Production</a>
, <a class="el" href="class_rule.html#aca36d04f2f30cfdb2d9098dbfe0f0889">Rule</a>
</li>
<li>setParent()
: <a class="el" href="class_a_g_context.html#a79ad4631cd672314b736e3d7a3b4cba2">AGContext</a>
</li>
<li>setPhenotype()
: <a class="el" href="class_mapper.html#a32106eccb705a63719fafbe293f27f70">Mapper</a>
</li>
<li>setPopSize()
: <a class="el" href="class_initialiser.html#aa9c8d119346e4305b09260eff7182884">Initialiser</a>
</li>
<li>setRecursive()
: <a class="el" href="class_production.html#a6e23ed9c33b2595281d42b5c84975412">Production</a>
, <a class="el" href="class_rule.html#aaeb4cf5e80ab4c9613779b5ac95be2d0">Rule</a>
</li>
<li>setStartIndex()
: <a class="el" href="class_a_g_context.html#a6ab02911239baa3b622a1b8a41d406a0">AGContext</a>
</li>
<li>setStartSymbol()
: <a class="el" href="class_grammar.html#a8f3d6ba30babe7c485813ed652d3b0b7">Grammar</a>
</li>
<li>setTailRatio()
: <a class="el" href="class_g_e_grammar_s_i.html#a706104b1a5d1589fbfe5accee668e706">GEGrammarSI</a>
</li>
<li>setTailSize()
: <a class="el" href="class_g_e_grammar_s_i.html#a75eca9dfb2587e18862aa6ca5686882b">GEGrammarSI</a>
</li>
<li>setTestFitness()
: <a class="el" href="class_g_e_list_genome.html#ae78f93ec09d4861138151634fd97a42e">GEListGenome</a>
</li>
<li>setTree()
: <a class="el" href="class_a_g_derivation_tree.html#a0c6842e306b21e7b063f885bfc0bc707">AGDerivationTree</a>
</li>
<li>setType()
: <a class="el" href="class_symbol.html#a61756c51c1297d322ef070a35a5ae10c">Symbol</a>
</li>
<li>setValid()
: <a class="el" href="class_genotype.html#a48c777eabac7de1ecf3d03b0dc92c7f0">Genotype</a>
, <a class="el" href="class_phenotype.html#ac044d7f87e11bcdd63ca938b23732d9d">Phenotype</a>
, <a class="el" href="class_tree.html#a113d512a32719bd7ca84d95a0af9a569">Tree&lt; T &gt;</a>
</li>
<li>setValidGrammar()
: <a class="el" href="class_grammar.html#ae99ce7c7ac064f4728c1675227beeb52">Grammar</a>
</li>
<li>setWraps()
: <a class="el" href="class_genotype.html#a539d555556efeb4f1e179ff8b22fa4f2">Genotype</a>
</li>
<li>startIndex
: <a class="el" href="class_a_g_context.html#ae2f5cc059dafd9d90146007c7ccb335c">AGContext</a>
</li>
<li>Symbol()
: <a class="el" href="class_symbol.html#a5a721de8c7f89319f149e7a1bcd1be07">Symbol</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
